%define upstream_name    namespace-sweep
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Sweep up imported subs in your classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/namespace/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(List::Util)
BuildRequires: perl(Package::Stash)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

Provides: perl(namespace::sweep)

%description
Because Perl methods are just regular subroutines, it's difficult to tell
what's a method and what's just an imported function. As a result, imported
functions can be called as methods on your objects. This pragma will delete
imported functions from your class's symbol table, thereby ensuring that
your interface is as you specified it. However, code inside your module
will still be able to use the imported functions without any problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-10.mga8
+ Revision: 1495784
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-9.mga7
+ Revision: 1269889
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-8.mga6
+ Revision: 1030909
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.6.0-7.mga6
+ Revision: 943902
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-6.mga5
+ Revision: 745275
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 687046
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-4.mga4
+ Revision: 530765
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.6.0-3.mga4
+ Revision: 459811
- Add provides

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 375532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 307204
- imported package perl-namespace-sweep


* Tue Oct 16 2012 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
